Package rdkit :: Package Chem :: Package EState :: Module AtomTypes

[hide private]
[frames] | no frames]

# Module AtomTypes

source code

    contains SMARTS definitions and calculators for EState atom types

    defined in: Hall and Kier JCICS _35_ 1039-1045 (1995)  Table 1

Functions | [hide private]

BuildPatts(rawV=None) Internal Use Only | source code

TypeAtoms(mol) assigns each atom in a molecule to an EState type | source code

Variables | [hide private]

| _rawD = `[('sLi', '[LiD1]-*'), ('ssBe', '[BeD2](-*)-*'), ('ssss`...``
| esPatterns = `None` hash(x)

Imports: Chem

Function Details | [hide private]

### TypeAtoms(mol)

source code

    assigns each atom in a molecule to an EState type

    **Returns:**

       list of tuples (atoms can possibly match multiple patterns) with atom types

Variables Details | [hide private]

### _rawD

Value:

      [('sLi', '[LiD1]-*'), ('ssBe', '[BeD2](-*)-*'), ('ssssBe', '[BeD4](-*)
      (-*)(-*)-*'), ('ssBH', '[BD2H](-*)-*'), ('sssB', '[BD3](-*)(-*)-*'), (
      'ssssB', '[BD4](-*)(-*)(-*)-*'), ('sCH3', '[CD1H3]-*'), ('dCH2', '[CD1
      H2]=*'), ('ssCH2', '[CD2H2](-*)-*'), ('tCH', '[CD1H]#*'), ('dsCH', '[C
      D2H](=*)-*'), ('aaCH', '[C,c;D2H](:*):*'), ('sssCH', '[CD3H](-*)(-*)-*
      '), ('ddC', '[CD2H0](=*)=*'), ('tsC', '[CD2H0](#*)-*'), ('dssC', '[CD3
      H0](=*)(-*)-*'), ('aasC', '[C,c;D3H0](:*)(:*)-*'), ('aaaC', '[C,c;D3H0
      ](:*)(:*):*'), ('ssssC', '[CD4H0](-*)(-*)(-*)-*'), ('sNH3', '[ND1H3]-*
      ...